%define major 0
%define api 1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{api}
%define develname %mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		geocode-glib
Version:	3.14.0
Release:	%mkrel 3
Summary:	A convenience library for the Yahoo! Place Finder APIs
Group:		Networking/Other
License:	LGPLv2
URL:		http://geoclue.freedesktop.org/
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		geocode-glib-0.99.2-linkage.patch
BuildRequires:	pkgconfig(gio-2.0) >= 2.34
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.99.2
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool

%description
geocode-glib is a convenience library for the Yahoo! Place Finder
APIs, as described at:
http://developer.yahoo.com/geo/placefinder/

The Place Finder web service allows to do geocoding (finding longitude
and latitude from an address), and reverse geocoding (finding an address
from coordinates).

%package -n %libname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs

%description -n %libname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

%package -n %girname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs
Requires:	%{libname} = %{version}

%description -n %girname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

This package contains GObjectIntrospection data for geocode-glib.

%package -n %develname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

This package contains the development files for geocode-glib.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

# Put icons in the right directory.
mv %{buildroot}/%{_iconsdir}/gnome %{buildroot}/%{_iconsdir}/Adwaita

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*
%{_iconsdir}/Adwaita/*/*/*

%files -n %girname
%{_libdir}/girepository-1.0/GeocodeGlib-%{api}.typelib

%files -n %develname
%{_includedir}/%{name}-%{api}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/GeocodeGlib-%{api}.gir
%{_datadir}/gtk-doc/html/%{name}-%{api}


%changelog
* Mon Feb 09 2015 shlomif <shlomif> 3.14.0-3.mga5
+ Revision: 814241
- Move icons dir from /gnome/ to Adwaita.

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 745056
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 724589
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.3-2.mga5
+ Revision: 679498
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639531
- new version 3.13.3

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622435
- new version 3.12.2

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608088
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92.2-1.mga5
+ Revision: 605623
- new version 3.11.92.2

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604519
- new version 3.11.92

* Tue Mar 04 2014 fwang <fwang> 3.11.91-1.mga5
+ Revision: 599267
- update br

  + ovitters <ovitters>
    - new version 3.11.91

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583786
- new version 3.11.5

* Sun Oct 20 2013 umeabot <umeabot> 3.10.0-3.mga4
+ Revision: 536781
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 3.10.0-2.mga4
+ Revision: 485609
- bump json-glib req

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484424
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 0.99.4-1.mga4
+ Revision: 480887
- new version 0.99.4

* Tue Sep 03 2013 ovitters <ovitters> 0.99.3-1.mga4
+ Revision: 474596
- new version 0.99.3

* Wed Aug 21 2013 fwang <fwang> 0.99.2-1.mga4
+ Revision: 468682
- fix requires
- update file list
- fix linkage
- new version 0.99.2

* Wed Jul 31 2013 ovitters <ovitters> 0.99.1-1.mga4
+ Revision: 461321
- update file list
- br geoip
- new version 0.99.1
- fix source url

* Fri Jan 11 2013 umeabot <umeabot> 0.99.0-2.mga3
+ Revision: 351370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - imported package geocode-glib

